com.fasterxml.jackson.core.util

## Class DefaultPrettyPrinter.Lf2SpacesIndenter

- java.lang.Object
- - com.fasterxml.jackson.core.util.DefaultPrettyPrinter.NopIndenter
  - - com.fasterxml.jackson.core.util.DefaultIndenter
    - - com.fasterxml.jackson.core.util.DefaultPrettyPrinter.Lf2SpacesIndenter

- All Implemented Interfaces:
    DefaultPrettyPrinter.Indenter, Serializable
  Enclosing class:
    DefaultPrettyPrinter

  Deprecated.
  Since 2.5 use `DefaultIndenter` instead

      @Deprecated
      public static class DefaultPrettyPrinter.Lf2SpacesIndenter
      extends DefaultIndenter

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultPrettyPrinter.Lf2SpacesIndenter` | `instance` Deprecated. Use `DefaultIndenter.SYSTEM_LINEFEED_INSTANCE` instead.

    - ### Fields inherited from class com.fasterxml.jackson.core.util.DefaultIndenter

      `SYS_LF, SYSTEM_LINEFEED_INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPrettyPrinter.Lf2SpacesIndenter()` Deprecated. Use `new DefaultIndenter(" ", DefaultIndenter.SYS_LF)` instead
    `DefaultPrettyPrinter.Lf2SpacesIndenter(String lf)` Deprecated. Use `new DefaultIndenter(" ", lf)` instead

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultPrettyPrinter.Lf2SpacesIndenter` | `withLinefeed(String lf)` Deprecated. Note: method was accidentally missing from 2.5.0; put back for 2.5.1 and later 2.5.x versions.

    - ### Methods inherited from class com.fasterxml.jackson.core.util.DefaultIndenter

      `getEol, getIndent, isInline, withIndent, writeIndentation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          @Deprecated
          public static final DefaultPrettyPrinter.Lf2SpacesIndenter instance

      Deprecated. Use `DefaultIndenter.SYSTEM_LINEFEED_INSTANCE` instead.

  - ### Constructor Detail

    - #### DefaultPrettyPrinter.Lf2SpacesIndenter

          @Deprecated
          public DefaultPrettyPrinter.Lf2SpacesIndenter()

      Deprecated. Use `new DefaultIndenter(" ", DefaultIndenter.SYS_LF)` instead

    - #### DefaultPrettyPrinter.Lf2SpacesIndenter

          @Deprecated
          public DefaultPrettyPrinter.Lf2SpacesIndenter(String lf)

      Deprecated. Use `new DefaultIndenter(" ", lf)` instead

  - ### Method Detail

    - #### withLinefeed

          public DefaultPrettyPrinter.Lf2SpacesIndenter withLinefeed(String lf)

      Deprecated.
      Note: method was accidentally missing from 2.5.0; put back for 2.5.1 and later 2.5.x versions.
      Overrides:
        `withLinefeed` in class `DefaultIndenter`

Copyright © 2014-2015 FasterXML. All Rights Reserved.